API docs / Image models

FLUX Pro API

State-of-the-art image generation with top of the line prompt following, visual quality, image detail and output diversity.

Model id
black-forest-labs/flux-pro
Provider
Flux AI
Output
Image
Price
From 20 credits per run, the same as on voor.ai. Options such as length or resolution can change it.

Request

POST https://voor.ai/v1/generations with "model": "black-forest-labs/flux-pro". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.

curl https://voor.ai/v1/generations \
  -H "Authorization: Bearer $VOOR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "black-forest-labs/flux-pro",
  "input": {
    "prompt": "A red fox standing in fresh snow at golden hour, soft light"
  },
  "callback_url": "https://example.com/webhooks/voor"
}'

# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
  -H "Authorization: Bearer $VOOR_API_KEY"

Input parameters

NameTypeDetails
promptrequiredstring

Text prompt for image generation

reference_imagesarray of URLs

Image to use with Flux Redux. This is used together with the text prompt to guide the generation towards the composition of the image_prompt. Must be jpeg, png, gif, or webp.

Up to 1 files · Accepts image/*

aspect_ratiostring

Default: 1:1

One of: custom, 1:1, 16:9, 3:2, 2:3, 4:5, 5:4, 9:16, 3:4, 4:3

enhance_promptboolean

Automatically modify the prompt for more creative generation

Default: false

seednumber

Random seed. Set for reproducible generation

guidancenumber

Controls the balance between adherence to the text prompt and image quality/diversity. Higher values make the output more closely match the prompt but may reduce overall image quality. Lower values allow for more creative freedom but might produce results less relevant to the prompt.

Default: 3

Min 2 · Max 5

stepsnumber

Deprecated

Default: 25

Min 1 · Max 50

output_formatstring

Default: webp

One of: webp, jpg, png

heightnumber

Height of the generated image in text-to-image mode. Only used when aspect_ratio=custom. Must be a multiple of 32 (if it's not, it will be rounded to nearest multiple of 32). Note: Ignored in img2img and inpainting modes.

Min 256 · Max 1440

intervalnumber

Deprecated

Default: 2

Min 1 · Max 4

output_qualitynumber

Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs

Default: 80

Min 0 · Max 100

widthnumber

Width of the generated image in text-to-image mode. Only used when aspect_ratio=custom. Must be a multiple of 32 (if it's not, it will be rounded to nearest multiple of 32). Note: Ignored in img2img and inpainting modes.

Min 256 · Max 1440